function init(hero) {
    hero.setName("Prowler");
    hero.setTier(6);
    
    hero.setHelmet("Mask");
    hero.setChestplate("Chestpiece");
    hero.setLeggings("Pants");
    hero.setBoots("Boots");
    hero.setPrimaryEquipment("fiskheroes:grappling_gun");
    
    hero.addPowers("dlheroes:prowler_suit");
    hero.addAttribute("PUNCH_DAMAGE", 6.5, 0);
    hero.addAttribute("WEAPON_DAMAGE", 3.5, 0);
    hero.addAttribute("JUMP_HEIGHT", 1.5, 0);
    hero.addAttribute("FALL_RESISTANCE", 6.0, 0);
    hero.addAttribute("SPRINT_SPEED", 0.3, 1);
    hero.addAttribute("IMPACT_DAMAGE", 0.5, 1);
    
    hero.addKeyBind("BLADE", "Claws", 1);
    hero.addKeyBind("UTILITY_BELT", "Gadgets", 2);
    hero.addKeyBind("CHARGED_BEAM", "Charged Beam", 3);
    hero.addKeyBind("INVISI", "Camouflage", 4);
    
    hero.setHasPermission(hasPermission);
    hero.addAttributeProfile("CLAWS", clawsProfile);
    hero.setAttributeProfile(getProfile);
    hero.setDamageProfile(getProfile);
    hero.setHasProperty(hasProperty);
    hero.addDamageProfile("CLAWS", {"types": {"SHARP": 1.0}});
}

function hasPermission(entity, permission) {
    return permission == "USE_GRAPPLING_GUN";
}

function clawsProfile(profile) {
    profile.inheritDefaults();
    profile.addAttribute("PUNCH_DAMAGE", 10.5, 0);
}

function getProfile(entity) {
    return entity.getData("fiskheroes:blade") ? "CLAWS" : null;
}

function hasProperty(entity, property) {
    return property == "MASK_TOGGLE";
}
